PETSc version 3.15.5
Fix/Edit manual page

# DMTSGetSolutionFunction

gets the TS solution evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetSolutionFunction(DM dm,TSSolutionFunction *func,void **ctx)

Not Collective

### Input Arguments

| dm | - DM to be used with TS

### Output Parameters

| func | - solution function evaluation function, see TSSetSolution() for calling sequence
| ctx | - context for solution evaluation

### See Also

DMTSSetContext(), TSSetFunction(), DMTSSetJacobian(), DMTSSetSolutionFunction()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages